Index: /main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl	(revision 36046)
+++ /main/trunk/model-interfaces-dev/wmtb/transform/layouts/header.xsl	(revision 36047)
@@ -9,9 +9,15 @@
 	exclude-result-prefixes="java util gsf">
 
-  <xsl:template name="wmtb-footer">
-    <div id="wmtb-footer" class="paragraph"><em>Developed in partnership between <a href="http://www.whakatohea.co.nz/">WhakatÅhea MÄori Trust Board</a> and the <a href="https://www.waikato.ac.nz/">University of Waikato</a></em>
-    <br />
-    <em>Powered by <a href="http://www.greenstone.org">Greenstone3</a></em></div>
-  </xsl:template>
+    <xsl:template name="wmtb-footer">
+        <div id="wmtb-footer" class="paragraph">
+            <em>
+                Developed in partnership between <a href="http://www.whakatohea.co.nz/">WhakatÅhea MÄori Trust Board</a>
+                and the <a href="https://www.waikato.ac.nz/">University of Waikato</a>
+            </em>
+            
+            <br />
+            <em>Powered by <a href="http://www.greenstone.org">Greenstone3</a></em>
+        </div>
+    </xsl:template>
   
 	<!-- Creates a header for the html page -->
Index: /main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl	(revision 36046)
+++ /main/trunk/model-interfaces-dev/wmtb/transform/layouts/main.xsl	(revision 36047)
@@ -30,138 +30,124 @@
       <div id="spacer-for-nav">&#160;</div>
       <div class="wrapper">
-  <div class="shifted-frame">
+        <div class="shifted-frame">
   
-  <!-- Whakatohea.co.nz's navbar - no longer in use now that the dl site is
-       embedded in iframe on whakatohea.co.nz site which provides the navbar -->
-  <!--<xsl:call-template name="whakatohea-navbar"/>-->
+          <!-- Whakatohea.co.nz's navbar - no longer in use now that the dl site is
+              embedded in iframe on whakatohea.co.nz site which provides the navbar -->
+          <!--<xsl:call-template name="whakatohea-navbar"/>-->
   
-  <div class="site-canvas">
-
-    <div class="wrapper-old">
-      <div id="header-old">
-        
-        <div class="banner-wrap">
-    <div class="wsite-elements wsite-not-footer wsite-header-elements">
-      <div class="wsite-section-wrap">
-          <!--<div  class="wsite-section wsite-header-section wsite-section-bg-image" style="height: auto;background-image: url(&quot;interfaces/{$interface_name}/images/digital-library.jpg&quot;) ;background-repeat: no-repeat ;background-position: 50.00% 21.94% ;background-size: 100% ;background-color: transparent ;background-size: cover;" >-->
-        <div style="background-image: url(&quot;interfaces/{$interface_name}/images/digital-library.jpg&quot;);" >
-          <xsl:choose>
-      <xsl:when test="/page/pageResponse/collection or /page/pageResponse/pathList/group">
-        <xsl:attribute name="class">wsite-section wsite-header-section wsite-section-bg-image crop-bg</xsl:attribute>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:attribute name="class">wsite-section wsite-header-section wsite-section-bg-image full-bg</xsl:attribute>
-      </xsl:otherwise>
-          </xsl:choose>
-          
-          <div class="wsite-section-content">
-      
-      <div class="container">
-        <div class="banner">
-          <div class="wsite-section-elements">
-            <h2 class="wsite-content-title" style="text-align:center;"><font size="6"><a href="{$library_name}"><xsl:call-template name="siteName"/></a></font></h2>
-
-            <!-- Why does this feel like it's still inside the banner-wrap? -->
-            <xsl:choose>
-        <xsl:when test="page/pageResponse/collection">
-          <div id="coll-name-link">
-            <p>&#160;
-            <a href="{$library_name}/collection/{$collNameChecked}/page/about">
-              <xsl:value-of select="page/pageResponse/collection/displayItemList/displayItem[@name='name']"/>
-            </a>
-            </p>
-            <br class="clear"/>
-          </div>
-        </xsl:when>
-
-        <xsl:when test="/page/pageRequest/paramList/param[@name='group']/@value">
-          <div id="coll-name-link">
-            <p>
-              <xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/>
-          </p>
-          <br class="clear"/>
-          </div>
-        </xsl:when>
-            </xsl:choose>			      
-          </div>
-        </div>
-      </div>
-      
-          </div>
-          <!--<div class=""></div>-->
-        </div>
-      </div>
-      
-    </div>
-
-        
-    <div class="container wrapper-old col2" id="browse-search-bars">
-      <div id="topbar">
-        <xsl:choose>
-          <xsl:when test="page/pageRequest/@subaction='home'">
-      <div id="cross-coll-div">
-        <xsl:call-template name="crossCollSearch"/>
-      </div>
-          </xsl:when>
-          <xsl:when test="page/pageRequest/paramList/param/@name='c' and /page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
-      <xsl:call-template name="quick-search-area"/>
-          </xsl:when>
-          <xsl:otherwise/>
-        </xsl:choose>
-        <!--**********************************************************************-->
-      </div>
-    </div>
-
-    
-        </div><!-- end banner-wrap -->
-      </div>
-    </div>
-
-    <!--<xsl:call-template name="login-prefs-help-links"/>-->
-    <!--<hr class="spacer" />-->
-    <div class="outer">
-      <xsl:if test="page/pageResponse/collection">
-        <xsl:attribute name="class">outer collectionDisplay</xsl:attribute>
-        <xsl:call-template name="sideNavBar"/>
-      </xsl:if>
-      
-      <div id="gs_content" class="container">
-        <xsl:apply-templates select="/page"/>				
-      </div>
-
-      <xsl:choose>
-        <xsl:when test="not(/page/pageResponse/format[@type='display']/gsf:option[@name='sideBar']) or /page/pageResponse/format[@type='display']/gsf:option[@name='sideBar']/@value='true'">
-          <xsl:variable name="documentCount" select="count(/page/pageResponse/document)" />
-          <xsl:value-of select="$documentCount" />
-
-          <xsl:choose>
-            <xsl:when test="$documentCount > 0">
-              <!-- We need this for-each statement to select the right node -->
-              <xsl:for-each select="/page/pageResponse/document">
-                <xsl:call-template name="rightSidebarTOCAlt"/>
-              </xsl:for-each>
-            </xsl:when>
-
-            <!-- No sidebars were created, add spacer -->
-            <xsl:otherwise>
-              <xsl:call-template name="no-collapse-div" />
-            </xsl:otherwise>
-          </xsl:choose>
-        </xsl:when>
-
-        <!-- The sidbar is disabled, add spacer -->
-        <xsl:otherwise>
-          <xsl:call-template name="no-collapse-div" />
-        </xsl:otherwise>
-      </xsl:choose>
-
-      <!-- <br class="clear" /> -->
-
-    </div><!-- end class main-wrap-->
-
-    <xsl:call-template name="wmtb-footer"/>
-
-  </div> <!-- end site-canvas -->
-      </div> <!-- end shifted-frame -->
+          <div class="site-canvas">
+            <div class="wrapper-old">
+              <div id="header-old">
+                <div class="banner-wrap">
+                  <div class="wsite-elements wsite-not-footer wsite-header-elements">
+                    <div class="wsite-section-wrap">
+                      <div style="background-image: url(&quot;interfaces/{$interface_name}/images/digital-library.jpg&quot;);">
+                        <xsl:choose>
+                          <xsl:when test="/page/pageResponse/collection or /page/pageResponse/pathList/group">
+                            <xsl:attribute name="class">wsite-section wsite-header-section wsite-section-bg-image crop-bg</xsl:attribute>
+                          </xsl:when>
+                          <xsl:otherwise>
+                            <xsl:attribute name="class">wsite-section wsite-header-section wsite-section-bg-image full-bg</xsl:attribute>
+                          </xsl:otherwise>
+                        </xsl:choose>
+                          
+                        <div class="wsite-section-content">
+                          <div class="container">
+                            <div class="banner">
+                              <div class="wsite-section-elements">
+                                <h2 class="wsite-content-title" style="text-align:center;"><font size="6"><a href="{$library_name}"><xsl:call-template name="siteName"/></a></font></h2>
+
+                                <!-- Why does this feel like it's still inside the banner-wrap? -->
+                                <xsl:choose>
+                                  <xsl:when test="page/pageResponse/collection">
+                                    <div id="coll-name-link">
+                                      <p>&#160;
+                                        <a href="{$library_name}/collection/{$collNameChecked}/page/about">
+                                          <xsl:value-of select="page/pageResponse/collection/displayItemList/displayItem[@name='name']"/>
+                                        </a>
+                                      </p>
+                                      <br class="clear"/>
+                                    </div>
+                                  </xsl:when>
+
+                                  <xsl:when test="/page/pageRequest/paramList/param[@name='group']/@value">
+                                    <div id="coll-name-link">
+                                      <p>
+                                        <xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/>
+                                      </p>
+                                      <br class="clear"/>
+                                    </div>
+                                  </xsl:when>
+                                </xsl:choose>
+                              </div> <!-- end wsite-section-elements -->
+                            </div> <!-- end banner -->
+                          </div> <!-- end container -->
+                        </div> <!-- end wsite-section-content -->
+                      </div> <!-- end header container -->
+                    </div> <!-- end wsite-section-wrap -->
+                  </div> <!-- end header section -->
+
+                  <div class="container wrapper-old col2" id="browse-search-bars">
+                    <div id="topbar">
+                      <xsl:if test="page/pageRequest/@subaction='home'">
+                        <div id="cross-coll-div">
+                          <xsl:call-template name="crossCollSearch"/>
+                        </div>
+                      </xsl:if>
+                      <xsl:if test="page/pageRequest/paramList/param/@name='c' and /page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
+                        <xsl:call-template name="quick-search-area"/>
+                      </xsl:if>
+                    </div>
+                  </div>
+
+                </div> <!-- end banner-wrap -->
+              </div> <!-- end header-old -->
+            </div> <!-- end wrapper-old -->
+
+            <!--<xsl:call-template name="login-prefs-help-links"/>-->
+            <!--<hr class="spacer" />-->
+            <div class="outer">
+              <xsl:if test="page/pageResponse/collection">
+                <xsl:attribute name="class">outer collectionDisplay</xsl:attribute>
+                <xsl:call-template name="sideNavBar"/>
+              </xsl:if>
+              
+              <div id="gs_content" class="container">
+                <xsl:apply-templates select="/page"/>				
+              </div>
+
+              <xsl:choose>
+                <xsl:when test="not(/page/pageResponse/format[@type='display']/gsf:option[@name='sideBar']) or /page/pageResponse/format[@type='display']/gsf:option[@name='sideBar']/@value='true'">
+                  <xsl:variable name="documentCount" select="count(/page/pageResponse/document)" />
+
+                  <xsl:choose>
+                    <xsl:when test="$documentCount > 0">
+                      <!-- We need this for-each statement to select the right node -->
+                      <xsl:for-each select="/page/pageResponse/document">
+                        <xsl:call-template name="rightSidebarTOCAlt"/>
+                      </xsl:for-each>
+                    </xsl:when>
+
+                    <!-- No sidebars were created, add spacer -->
+                    <xsl:otherwise>
+                      <xsl:call-template name="no-collapse-div" />
+                    </xsl:otherwise>
+                  </xsl:choose>
+                </xsl:when>
+
+                <!-- The sidbar is disabled, add spacer -->
+                <xsl:otherwise>
+                  <xsl:call-template name="no-collapse-div" />
+                </xsl:otherwise>
+              </xsl:choose>
+
+              <!-- <br class="clear" /> -->
+
+            </div> <!-- end outer -->
+
+            <xsl:call-template name="wmtb-footer"/>
+
+          </div> <!-- end site-canvas -->
+        </div> <!-- end shifted-frame -->
       </div> <!-- end wrapper-->
     </body>
@@ -171,5 +157,5 @@
 <xsl:template name="no-collapse-div">
   <div>
-    <xsl:text> </xsl:text>
+    <xsl:text>a</xsl:text>
   </div>
 </xsl:template>