Index: /main/trunk/greenstone3/web/interfaces/default/transform/pages/favourites.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/transform/pages/favourites.xsl	(revision 36072)
+++ /main/trunk/greenstone3/web/interfaces/default/transform/pages/favourites.xsl	(revision 36073)
@@ -12,8 +12,6 @@
 	<xsl:include href="layouts/main.xsl"/>
 
-	<xsl:variable name="basketType"><xsl:choose><xsl:when test="/page/pageResponse/interfaceOptions/option[@name = 'favouriteBasket']/@value = 'true'">favourites</xsl:when><xsl:otherwise>berry</xsl:otherwise></xsl:choose></xsl:variable>
-	<xsl:variable name="basketType">favourites</xsl:variable>
 	<!-- set page title -->
-	<xsl:template name="pageTitle"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, concat($basketType, '.title'))"/></xsl:template>
+	<xsl:template name="pageTitle"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.title')"/></xsl:template>
 
 	<!-- set page breadcrumbs -->
@@ -25,8 +23,7 @@
 	  <gsf:variable name="unselected_favourite_icon_url">interfaces/<xsl:value-of select="$interface_name"/>/images/<xsl:value-of select="$unselected_favourite_icon"/></gsf:variable>
 
-	  <gslib:langfrag name="berry"/>
 	  <gslib:langfrag name="favourites"/>
 		<xsl:variable name="clusterName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
-		<script type="text/javascript" src="interfaces/{$interface_name}/js/berrybasket/berrycheckout.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="interfaces/{$interface_name}/js/favouritebasket/favouritecheckout.js"><xsl:text> </xsl:text></script>
 		<xsl:call-template name="customJavascript"/>
 		<xsl:call-template name="customCSS"/>
@@ -36,5 +33,5 @@
 				var docList = new Array();
 			</xsl:text>
-			<xsl:for-each select="/page/pageResponse/berryList/item">
+			<xsl:for-each select="/page/pageResponse/favouriteList/item">
 				<xsl:text disable-output-escaping="yes">doc = new Array();</xsl:text>
 				<xsl:for-each select="@*">
@@ -53,7 +50,7 @@
 		<table class="navList" id="berryCheckoutOptions">
 			<tr>
-				<td id="fullview" class="current"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.full_view')"/></span></td>
-				<td id="textview"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.text_view')"/></span></td>
-				<td id="email"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.email_view')"/></span></td>
+				<td id="fullview" class="current"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.full_view')"/></span></td>
+				<td id="textview"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.text_view')"/></span></td>
+				<td id="email"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.email_view')"/></span></td>
 			</tr>
 			<div class="clear"><xsl:text> </xsl:text></div>
@@ -63,20 +60,10 @@
 		
 		<div id="delOptions"> 
-
-		  <!-- showing favourites help text takes priority over berryBasket help text -->
-		  <xsl:choose>
-		    <xsl:when test="/page/pageResponse/interfaceOptions/option[@name = 'favouriteBasket']/@value = 'true'">
-		      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_help')"/> <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_else')"/><xsl:text>  </xsl:text>
-		    </xsl:when>
-		    <xsl:otherwise>
-		      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.delete_help')"/> <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.delete_else')"/><xsl:text>  </xsl:text>
-		    </xsl:otherwise>
-		  </xsl:choose>
-
+                  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_help')"/> <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_else')"/><xsl:text>  </xsl:text>
 		  
 		  <style> #bbdeleteallbutton:hover { background-color: #773030;}</style>
 		  <div id="bbdeleteallbutton" class="ui-button ui-widget ui-state-default ui-corner-all" 
 		       style="color: white; padding: 5px;" onclick="deleteAll()">
-		    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.delete_all')"/>
+		    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_all')"/>
 		  </div>
 		</div>